@import controllers.formview.UsersForm
@(widgets: Seq[Loginuser], form: Form[UsersForm.loginData], postUrl: Call)(implicit request: MessagesRequestHeader)

  @base_main("Login") {
    <div class="columns is-desktop">
      <div class="container-set-top-left">
        <a href="/" class="button"> Index </a>
      </div>
      <div class="column is-half is-offset-one-quarter" align="center">
        <img src="@routes.Assets.versioned("images/logo-jaylerr.png")" width="300">
        <hr/>
        @if(form.hasGlobalErrors) {
          @form.globalErrors.map { error: FormError =>
            <div>
              @error.key: @error.message
            </div>
          }
        }

        @helper.form(postUrl) {
          @helper.CSRF.formField
          <div class="field">
            <label class="label">Email</label>
            <div class="control">
              <input class="input" type="email" placeholder="Email" name="email">
            </div>
          </div>

          <div class="field">
            <label class="label">Password</label>
            <div class="control">
              <input class="input" type="password" name="password" placeholder="password">
            </div>
          </div>
          <br>
          <div class="control">
            <button class="button is-primary" type="submit">Login</button>
          </div> <br>
          <h4 class="content-regnow"> Not account yet? <a href="/register">register</a> now!</h4>
          }
      </div>
    </div>
  }